GNU bug report logs - #11840
24.1.50; nil keymap element on high priority overlay should fallthrough to low priority overlay

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Christopher Monsanto <chris@HIDDEN>; dated Mon, 2 Jul 2012 03:27:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 11840 <at> debbugs.gnu.org:


Received: (at 11840) by debbugs.gnu.org; 2 Jul 2012 18:25:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 02 14:25:53 2012
Received: from localhost ([127.0.0.1]:43111 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SllJp-0004Uw-6T
	for submit <at> debbugs.gnu.org; Mon, 02 Jul 2012 14:25:53 -0400
Received: from ironport2-out.teksavvy.com ([206.248.154.182]:64235)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <monnier@HIDDEN>) id 1SllJn-0004Up-85
	for 11840 <at> debbugs.gnu.org; Mon, 02 Jul 2012 14:25:51 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: Ai0FAG6Zu09FxKFY/2dsb2JhbABEsEiDSYEIghUBAQQBViMQCw4mBwsUGA0kiBwFugmQRAOjM4FYgwU
X-IronPort-AV: E=Sophos;i="4.75,637,1330923600"; d="scan'208";a="192491280"
Received: from 69-196-161-88.dsl.teksavvy.com (HELO pastel.home)
	([69.196.161.88])
	by ironport2-out.teksavvy.com with ESMTP/TLS/ADH-AES256-SHA;
	02 Jul 2012 14:21:13 -0400
Received: by pastel.home (Postfix, from userid 20848)
	id 175B25976E; Mon,  2 Jul 2012 14:21:12 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Christopher Monsanto <chris@HIDDEN>
Subject: Re: bug#11840: 24.1.50;
	nil keymap element on high priority overlay should fallthrough to low
	priority overlay
Message-ID: <jwv62a6rpsd.fsf-monnier+emacs@HIDDEN>
References: <87sjdavoe4.fsf@HIDDEN>
	<CAC5n7TEJ0SO9zie9s0pc20ZT8Nc6XvVSTfsvFG2HLTa7c=vMuw@HIDDEN>
	<jwvfw9atei4.fsf-monnier+emacs@HIDDEN>
	<CAC5n7THJmKZ3Gi-udTeOsVzK2Nf3jfYeNqagMgq=opLRR9Lgug@HIDDEN>
Date: Mon, 02 Jul 2012 14:21:12 -0400
In-Reply-To: <CAC5n7THJmKZ3Gi-udTeOsVzK2Nf3jfYeNqagMgq=opLRR9Lgug@HIDDEN>
	(Christopher Monsanto's message of "Mon, 2 Jul 2012 12:32:48 -0400")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -1.9 (-)
X-Debbugs-Envelope-To: 11840
Cc: 11840 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

>>> One more symptom, and I doubt this could be anything but a bug: if you
>>> delete the high priority overlay, we *still* don't use the lower
>>> priority overlay's keymap!
>> This is a limitation of the way properties are "merged".
>> More specifically, in most cases properties coming from different
>> overlays (and from text-properties) are *not* merged.  Instead, the
>> property of the highest-priority overlay is used.
> For the problem you cited, that seems to be irrelevant...

Indeed, thank you for correcting me: for the cited problem, the issue is
most likely that Emacs reads the set of active keymaps when it starts
waiting for a key-sequence, rather than when it actually sees
a key-press, so if you remove overlays via things like process-filters,
the set of keymaps used for the key-lookup may not reflect the set of
keymaps that were actually present when the key was pressed.
This one is indeed a (known) bug, rather than a limitation.

Fixing it might not be too hard, but the culprit is in read_key_sequence
which is a dreadfully intimidating function.


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11840; Package emacs. Full text available.

Message received at 11840 <at> debbugs.gnu.org:


Received: (at 11840) by debbugs.gnu.org; 2 Jul 2012 16:38:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 02 12:38:14 2012
Received: from localhost ([127.0.0.1]:42360 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Sljdd-0007pL-Qq
	for submit <at> debbugs.gnu.org; Mon, 02 Jul 2012 12:38:14 -0400
Received: from mail-vb0-f44.google.com ([209.85.212.44]:63335)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <chris@HIDDEN>) id 1Sljda-0007oq-Jg
	for 11840 <at> debbugs.gnu.org; Mon, 02 Jul 2012 12:38:12 -0400
Received: by vbbez10 with SMTP id ez10so5010694vbb.3
	for <11840 <at> debbugs.gnu.org>; Mon, 02 Jul 2012 09:33:28 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
	d=google.com; s=20120113;
	h=mime-version:in-reply-to:references:from:date:message-id:subject:to
	:cc:content-type:x-gm-message-state;
	bh=Y2esXu1mBFLglM6nYzkJsADB4BPe1WkxqDVsjGFulNw=;
	b=K+v02UYjUUJUSD5xKk/TOqFyiMmz9/bwutPjEfHz9pDXLgsJPDeajeO+l6LO56TMx3
	Bfk/RACBMjTD1C9W0odQro69QBc8sLxKI/T1vBMsDINEL3k2yBVdDo684p77KaI05TP0
	PuCb/7ZTnG3IodC++u5YE/yGDbQUQLf58w7bGWtoxN98C7m9O6bbquIe+ysd0VGpOtYz
	XWgdv60S4KXZEuVq1eF0gm1OBvt30NRVD+ynsftG5s4e2xWa6AuwoMuvmnAVnjpJ2iQD
	rTP9mLK8rq1YGsFBLwAkFT7bnRB4Ciw/a/0o3YQSaEYiTamSwte8IcNq0jAR3Llsrevs
	1D1w==
Received: by 10.220.240.18 with SMTP id ky18mr6436311vcb.74.1341246808674;
	Mon, 02 Jul 2012 09:33:28 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.220.34.207 with HTTP; Mon, 2 Jul 2012 09:32:48 -0700 (PDT)
In-Reply-To: <jwvfw9atei4.fsf-monnier+emacs@HIDDEN>
References: <87sjdavoe4.fsf@HIDDEN>
	<CAC5n7TEJ0SO9zie9s0pc20ZT8Nc6XvVSTfsvFG2HLTa7c=vMuw@HIDDEN>
	<jwvfw9atei4.fsf-monnier+emacs@HIDDEN>
From: Christopher Monsanto <chris@HIDDEN>
Date: Mon, 2 Jul 2012 12:32:48 -0400
Message-ID: <CAC5n7THJmKZ3Gi-udTeOsVzK2Nf3jfYeNqagMgq=opLRR9Lgug@HIDDEN>
Subject: Re: bug#11840: 24.1.50; nil keymap element on high priority overlay
	should fallthrough to low priority overlay
To: Stefan Monnier <monnier@HIDDEN>
Content-Type: text/plain; charset=UTF-8
X-Gm-Message-State: ALoCoQltkcObThWDco81h6TWfnTpCIpEV8HiYqV0Kn2W5SPQtq5C4btefdmjhbbxcS5QpKc5GWAz
X-Spam-Score: -2.6 (--)
X-Debbugs-Envelope-To: 11840
Cc: 11840 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

On Mon, Jul 2, 2012 at 10:39 AM, Stefan Monnier
<monnier@HIDDEN> wrote:
>> One more symptom, and I doubt this could be anything but a bug: if you
>> delete the high priority overlay, we *still* don't use the lower
>> priority overlay's keymap!
>
> This is a limitation of the way properties are "merged".
> More specifically, in most cases properties coming from different
> overlays (and from text-properties) are *not* merged.  Instead, the
> property of the highest-priority overlay is used.
>

For the problem you cited, that seems to be irrelevant... if you
create two overlays o1 and o2, and delete o2, the editor should act
the same as if you just created o1. If not, in what sense are you
actually deleting the overlay? There should be no merge involved when
only considering one overlay.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11840; Package emacs. Full text available.

Message received at 11840 <at> debbugs.gnu.org:


Received: (at 11840) by debbugs.gnu.org; 2 Jul 2012 14:44:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 02 10:44:35 2012
Received: from localhost ([127.0.0.1]:42104 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Slhrf-0004SW-B4
	for submit <at> debbugs.gnu.org; Mon, 02 Jul 2012 10:44:35 -0400
Received: from ironport2-out.teksavvy.com ([206.248.154.182]:53812)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <monnier@HIDDEN>) id 1Slhrc-0004SN-GB
	for 11840 <at> debbugs.gnu.org; Mon, 02 Jul 2012 10:44:33 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: Ai0FAG6Zu09FxKFY/2dsb2JhbABEsEiDSYEIghUBAQQBViMFCwsOJgcLFBgNJIgcBboJkEQDozOBWIMF
X-IronPort-AV: E=Sophos;i="4.75,637,1330923600"; d="scan'208";a="192480644"
Received: from 69-196-161-88.dsl.teksavvy.com (HELO pastel.home)
	([69.196.161.88])
	by ironport2-out.teksavvy.com with ESMTP/TLS/ADH-AES256-SHA;
	02 Jul 2012 10:39:55 -0400
Received: by pastel.home (Postfix, from userid 20848)
	id C507E5976E; Mon,  2 Jul 2012 10:39:54 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Christopher Monsanto <chris@HIDDEN>
Subject: Re: bug#11840: 24.1.50;
	nil keymap element on high priority overlay should fallthrough to low
	priority overlay
Message-ID: <jwvfw9atei4.fsf-monnier+emacs@HIDDEN>
References: <87sjdavoe4.fsf@HIDDEN>
	<CAC5n7TEJ0SO9zie9s0pc20ZT8Nc6XvVSTfsvFG2HLTa7c=vMuw@HIDDEN>
Date: Mon, 02 Jul 2012 10:39:54 -0400
In-Reply-To: <CAC5n7TEJ0SO9zie9s0pc20ZT8Nc6XvVSTfsvFG2HLTa7c=vMuw@HIDDEN>
	(Christopher Monsanto's message of "Sun, 1 Jul 2012 23:25:31 -0400")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -1.9 (-)
X-Debbugs-Envelope-To: 11840
Cc: 11840 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

> One more symptom, and I doubt this could be anything but a bug: if you
> delete the high priority overlay, we *still* don't use the lower
> priority overlay's keymap!

This is a limitation of the way properties are "merged".
More specifically, in most cases properties coming from different
overlays (and from text-properties) are *not* merged.  Instead, the
property of the highest-priority overlay is used.


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11840; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 2 Jul 2012 03:30:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 01 23:30:54 2012
Received: from localhost ([127.0.0.1]:40908 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SlXLi-0003WW-AN
	for submit <at> debbugs.gnu.org; Sun, 01 Jul 2012 23:30:54 -0400
Received: from eggs.gnu.org ([208.118.235.92]:49533)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <chris@HIDDEN>) id 1SlXLg-0003WP-7b
	for submit <at> debbugs.gnu.org; Sun, 01 Jul 2012 23:30:52 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <chris@HIDDEN>) id 1SlXHF-0000lK-G3
	for submit <at> debbugs.gnu.org; Sun, 01 Jul 2012 23:26:18 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-6.9 required=5.0 tests=BAYES_00,RCVD_IN_DNSWL_HI
	autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:54093)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <chris@HIDDEN>) id 1SlXHF-0000lG-DF
	for submit <at> debbugs.gnu.org; Sun, 01 Jul 2012 23:26:17 -0400
Received: from eggs.gnu.org ([208.118.235.92]:43904)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <chris@HIDDEN>) id 1SlXHD-0005qn-Q3
	for bug-gnu-emacs@HIDDEN; Sun, 01 Jul 2012 23:26:16 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <chris@HIDDEN>) id 1SlXHB-0000i7-HO
	for bug-gnu-emacs@HIDDEN; Sun, 01 Jul 2012 23:26:15 -0400
Received: from mail-vb0-f41.google.com ([209.85.212.41]:39294)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <chris@HIDDEN>) id 1SlXHB-0000hA-DI
	for bug-gnu-emacs@HIDDEN; Sun, 01 Jul 2012 23:26:13 -0400
Received: by vbkv13 with SMTP id v13so3881766vbk.0
	for <bug-gnu-emacs@HIDDEN>; Sun, 01 Jul 2012 20:26:11 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
	d=google.com; s=20120113;
	h=mime-version:in-reply-to:references:from:date:message-id:subject:to
	:content-type:x-gm-message-state;
	bh=9StUu/YBDKS4du3rb3BOEkH0j2MEHYdwDMT/NZHJDBI=;
	b=VfVRbZB30ECZ4Mg/rfGAYghXrrMLHwD1D4ibFBzajeO3V5ciwSdCw0MhoJzrq9B8Fs
	xKY3OuJMJt+0Va9z+16R88/aaApkkNFf3ykWjgZPH70TWgy208YAYB0ihaVEXg/MkZBx
	Id7pzuOKWgkJSHIGPXJ0spPSo2UKZfg0nsyAviWhkBktw4qiFAUxwe4ZrTnIG5kug8Ui
	/nD5ZICMOIx54QTCWTige5WFEBxDaPJkzC+YdgfP8ZC42LgF2Grui+yIl4eoxMnRrOvC
	sdRkihuUztoLu5WJAIl++kaWMzEuiLS5PJ8payIplFuXCSWqfcGJCQ6OybWKrublWxcv
	438w==
Received: by 10.220.156.10 with SMTP id u10mr5330506vcw.20.1341199571707; Sun,
	01 Jul 2012 20:26:11 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.220.34.207 with HTTP; Sun, 1 Jul 2012 20:25:31 -0700 (PDT)
In-Reply-To: <87sjdavoe4.fsf@HIDDEN>
References: <87sjdavoe4.fsf@HIDDEN>
From: Christopher Monsanto <chris@HIDDEN>
Date: Sun, 1 Jul 2012 23:25:31 -0400
Message-ID: <CAC5n7TEJ0SO9zie9s0pc20ZT8Nc6XvVSTfsvFG2HLTa7c=vMuw@HIDDEN>
Subject: Re: 24.1.50; nil keymap element on high priority overlay should
	fallthrough to low priority overlay
To: bug-gnu-emacs@HIDDEN
Content-Type: text/plain; charset=UTF-8
X-Gm-Message-State: ALoCoQkDxp4ldaN8btFzL7vstSnzSmgif3afxPNW2iiJ1ui6nHUNLtuCOPI1/xy5D4eeMTTisCav
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
	recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 208.118.235.17
X-Spam-Score: -6.9 (------)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.9 (------)

One more symptom, and I doubt this could be anything but a bug: if you
delete the high priority overlay, we *still* don't use the lower
priority overlay's keymap!

Try this:

(setq m (make-sparse-keymap))
(define-key m "k" '(lambda nil (interactive) (message "overlay 1")))

(setq m2 (make-sparse-keymap))
(define-key m2 "k" nil)

(let ((o (make-overlay 0 5))
      (o2 (make-overlay 0 5)))
  (overlay-put o 'keymap m)
  (overlay-put o 'priority 100)
  (overlay-put o2 'keymap m2)
  (overlay-put o2 'priority 9999)
  (delete-overlay o2))

eval-buffer again, and k self inserts. If we never create the second
overlay, it prints the msg.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11840; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 2 Jul 2012 03:26:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 01 23:26:32 2012
Received: from localhost ([127.0.0.1]:40903 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SlXHS-0003PU-5g
	for submit <at> debbugs.gnu.org; Sun, 01 Jul 2012 23:26:31 -0400
Received: from eggs.gnu.org ([208.118.235.92]:36647)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <chris@HIDDEN>) id 1SlXHO-0003PM-UD
	for submit <at> debbugs.gnu.org; Sun, 01 Jul 2012 23:26:29 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <chris@HIDDEN>) id 1SlXCx-0008Ad-01
	for submit <at> debbugs.gnu.org; Sun, 01 Jul 2012 23:21:53 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-6.9 required=5.0 tests=BAYES_00,RCVD_IN_DNSWL_HI
	autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:53886)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <chris@HIDDEN>) id 1SlXCw-0008AY-Sl
	for submit <at> debbugs.gnu.org; Sun, 01 Jul 2012 23:21:50 -0400
Received: from eggs.gnu.org ([208.118.235.92]:33502)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <chris@HIDDEN>) id 1SlXCu-0005UJ-7s
	for bug-gnu-emacs@HIDDEN; Sun, 01 Jul 2012 23:21:50 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <chris@HIDDEN>) id 1SlXCr-0008AI-2O
	for bug-gnu-emacs@HIDDEN; Sun, 01 Jul 2012 23:21:47 -0400
Received: from mail-qc0-f169.google.com ([209.85.216.169]:57189)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <chris@HIDDEN>) id 1SlXCq-0008AC-Tw
	for bug-gnu-emacs@HIDDEN; Sun, 01 Jul 2012 23:21:45 -0400
Received: by qcsd16 with SMTP id d16so3015990qcs.0
	for <bug-gnu-emacs@HIDDEN>; Sun, 01 Jul 2012 20:21:42 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
	d=google.com; s=20120113;
	h=from:to:subject:date:message-id:mime-version:content-type
	:x-gm-message-state;
	bh=GY42HKKUMCkD1kNau6iLlAaHrOXCBp4GS1cC2rgD8yo=;
	b=cDrtuUFuDQldTifs+rsdWglkaYg5J9Eaf8Z/3GGWCNFKrtArvtVP8HdfnT8+Y9j+wD
	GnbumSfaKISGLZ1lWJvf6TRk732dxJTyjRKF9dJDTZDr09VOpue78B0176gtkD6yUl+c
	wP8Vqum2Q1WeoRjCJY8f3WFFuFoOE0zFXk32A3oU3hR234D0Q4Q9OMZJ/JcjryBDjnI/
	tT/Q22Xu/ROn+hC+DSNsuxVpbdROwf7C2cOOtJS/KZp3nwea7+VMmXPD+kp0v8VRIlCl
	7HIhAGiLHRnNHSDtUcQ2TCzIsa6U81q4eXOgbeU0e+3p7DuqXnyNwbbpZnZqDs6w3WMc
	HfzA==
Received: by 10.229.135.134 with SMTP id n6mr230655qct.140.1341199302070;
	Sun, 01 Jul 2012 20:21:42 -0700 (PDT)
Received: from linuxpimpbox (dynamic-oit-pu-dormnet-bb-c-285.Princeton.EDU.
	[140.180.187.28])
	by mx.google.com with ESMTPS id cg7sm28471631qab.19.2012.07.01.20.21.40
	(version=TLSv1/SSLv3 cipher=OTHER);
	Sun, 01 Jul 2012 20:21:41 -0700 (PDT)
Received: from monsanto by linuxpimpbox with local (Exim 4.76)
	(envelope-from <chris@HIDDEN>) id 1SlXCl-0007Si-Id
	for bug-gnu-emacs@HIDDEN; Sun, 01 Jul 2012 23:21:39 -0400
From: Christopher Monsanto <chris@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 24.1.50;
	nil keymap element on high priority overlay should fallthrough to low
	priority overlay
Date: Sun, 01 Jul 2012 23:21:39 -0400
Message-ID: <87sjdavoe4.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Gm-Message-State: ALoCoQlY1lpgMIefd/XRcN3u05/U2eCjmmxiROns65P9mJI9TK1ZRqFDN6F3GYQEsG5VgDVbmK7F
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
	recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 208.118.235.17
X-Spam-Score: -6.9 (------)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.9 (------)


Currently, if one creates two overlapping overlays that both have a
keymap property, nil elements on the high priority keymap do not
fallthrough to the lower priority overlay keymap. From emacs -Q, put the
following code in, place point at beginning of buffer, and M-x eval
buffer.

(setq m (make-sparse-keymap))
(define-key m "k" '(lambda nil (interactive) (message "overlay 1")))

(setq m2 (make-sparse-keymap))
(define-key m2 "k" nil)

(let ((o (make-overlay 0 5))
      (o2 (make-overlay 0 5)))
  (overlay-put o 'keymap m)
  (overlay-put o 'priority 100)
  (overlay-put o2 'keymap m2)
  (overlay-put o2 'priority 9999))

Type k, and it will self insert instead of messaging overlay 1.

According to the Emacs manual, "The priority matters when two or more overlays cover the same character and both specify the same property; the one whose priority value is larger overrides the other." So this behavior may not strictly be a bug, but it is suboptimal in my opinion. I discovered this problem by running yasnippet and auto-complete-mode together. Yasnippet puts a low priority overlay to make tab go to the next snippet field; ac-mode puts a high priority overlay to handle tab to go to the next completion. If I hack around this by setting tab to nil on ac-mode's map when there are no completions, tab runs indent, instead of going to the next snippet field... making it very hard to compose the two programs.



In GNU Emacs 24.1.50.1 (x86_64-unknown-linux-gnu, GTK+ Version 2.24.10)
 of 2012-07-01 on linuxpimpbox
Windowing system distributor `The X.Org Foundation', version 11.0.11103000
Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: Emacs-Lisp

Minor modes in effect:
  keyfreq-autosave-mode: t
  keyfreq-mode: t
  savehist-mode: t
  eproject-mode: t
  diff-auto-refine-mode: t
  TeX-PDF-mode: t
  nxhtml-menu-mode: t
  nxhtml-tag-do-also: t
  popcmp-group-alternatives: t
  popcmp-short-help-beside-alts: t
  mlinks-active-links: t
  paredit-mode: t
  eldoc-mode: t
  recentf-mode: t
  smex-mode: t
  ido-ubiquitous-mode: t
  ido-everywhere: t
  yas/global-mode: t
  yas/minor-mode: t
  global-auto-complete-mode: t
  auto-complete-mode: t
  shell-dirtrack-mode: t
  global-undo-tree-mode: t
  undo-tree-mode: t
  cua-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
<left> <left> <left> <left> <left> <left> <left> <left> 
<left> <left> <left> <left> <left> <left> <left> <left> 
<left> C-x C-s <left> <left> ; <backspace> 6 <backspace> 
' <backspace> ; x C-x C-s <backspace> C-x C-s C-x k 
<return> C-b t <return> <up> <up> <up> <up> <up> <up> 
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up> 
<up> <up> <up> <up> <backspace> M-x <up> <return> k 
k <backspace> <backspace> <backspace> <down> <up> <down-mouse-1> 
<mouse-movement> <mouse-movement> <mouse-movement> 
<mouse-movement> <drag-mouse-1> <backspace> <backspace> 
<down-mouse-1> <mouse-1> <backspace> <right> <backspace> 
<backspace> C-x C-s <down-mouse-1> <mouse-movement> 
<mouse-movement> <drag-mouse-1> <down-mouse-1> <mouse-1> 
<down-mouse-1> <mouse-movement> <mouse-movement> <mouse-movement> 
<mouse-movement> <drag-mouse-1> <down-mouse-1> <mouse-1> 
<down-mouse-1> <mouse-1> <down-mouse-1> <mouse-1> <down-mouse-1> 
<mouse-movement> <drag-mouse-1> <down-mouse-1> <mouse-1> 
<down-mouse-1> <mouse-1> <down-mouse-1> <mouse-1> <down-mouse-1> 
<mouse-movement> <mouse-movement> <drag-mouse-1> <down-mouse-1> 
<mouse-1> M-x r e p o r t <return> K e y <backspace> 
<backspace> <backspace> O v e r l y <backspace> a y 
SPC p r o p e r t i e s <backspace> <backspace> <backspace> 
<backspace> <backspace> <backspace> <backspace> <backspace> 
<backspace> <backspace> <backspace> <backspace> <backspace> 
<backspace> <backspace> <backspace> <backspace> <backspace> 
O V e <backspace> <backspace> <backspace> n i l SPC 
o v <backspace> <backspace> <backspace> <backspace> 
<backspace> <backspace> O V r <backspace> <backspace> 
v r <backspace> e r l a y <backspace> <backspace> <backspace> 
<backspace> <backspace> <backspace> <backspace> n i 
l SPC <backspace> <backspace> <backspace> <backspace> 
K e y m a p s SPC f a l <backspace> <backspace> <backspace> 
<backspace> <backspace> SPC f a l l t h r o u g h SPC 
o n SPC h i g h SPC p n <backspace> r i o r i t y SPC 
o v e r l a y SPC s h o u l d SPC f <backspace> <backspace> 
SPC <help-echo> <help-echo> <down-mouse-1> <drag-mouse-1> 
<help-echo> <help-echo> <backspace> <down-mouse-1> 
<mouse-1> <down-mouse-1> <mouse-1> M-x <up> <retur
n>

Recent messages:
Saving file /home/monsanto/test.el...
Wrote /home/monsanto/test.el
Saving file /home/monsanto/test.el...
Wrote /home/monsanto/test.el
byte-code: Beginning of buffer [8 times]
backward-delete-char: Beginning of buffer
Saving file /home/monsanto/test.el...
Wrote /home/monsanto/test.el
Mark set [2 times]
Quit
user-error: Minibuffer window is not active

Load-path shadows:
/home/monsanto/.emacs.d/elisp/magit/.dir-locals hides /home/monsanto/.emacs.d/elisp/full-ack/.dir-locals
/home/monsanto/.emacs.d/elisp/bbdb/bbdb-migrate hides /usr/local/share/emacs/site-lisp/bbdb/bbdb-migrate
/home/monsanto/.emacs.d/elisp/bbdb/bbdb-com hides /usr/local/share/emacs/site-lisp/bbdb/bbdb-com
/home/monsanto/.emacs.d/elisp/bbdb/bbdb-rmail hides /usr/local/share/emacs/site-lisp/bbdb/bbdb-rmail
/home/monsanto/.emacs.d/elisp/bbdb/bbdb-mhe hides /usr/local/share/emacs/site-lisp/bbdb/bbdb-mhe
/home/monsanto/.emacs.d/elisp/bbdb/bbdb hides /usr/local/share/emacs/site-lisp/bbdb/bbdb
/home/monsanto/.emacs.d/elisp/bbdb/bbdb-gnus hides /usr/local/share/emacs/site-lisp/bbdb/bbdb-gnus
/home/monsanto/.emacs.d/elisp/bbdb/bbdb-print hides /usr/local/share/emacs/site-lisp/bbdb/bbdb-print
/home/monsanto/.emacs.d/elisp/w3m/w3m-bookmark hides /usr/local/share/emacs/site-lisp/w3m/w3m-bookmark
/home/monsanto/.emacs.d/elisp/w3m/w3m-search hides /usr/local/share/emacs/site-lisp/w3m/w3m-search
/home/monsanto/.emacs.d/elisp/w3m/w3m-dtree hides /usr/local/share/emacs/site-lisp/w3m/w3m-dtree
/home/monsanto/.emacs.d/elisp/w3m/w3m-ucs hides /usr/local/share/emacs/site-lisp/w3m/w3m-ucs
/home/monsanto/.emacs.d/elisp/w3m/w3m-image hides /usr/local/share/emacs/site-lisp/w3m/w3m-image
/home/monsanto/.emacs.d/elisp/w3m/w3m-cookie hides /usr/local/share/emacs/site-lisp/w3m/w3m-cookie
/home/monsanto/.emacs.d/elisp/w3m/mew-w3m hides /usr/local/share/emacs/site-lisp/w3m/mew-w3m
/home/monsanto/.emacs.d/elisp/w3m/w3m-lnum hides /usr/local/share/emacs/site-lisp/w3m/w3m-lnum
/home/monsanto/.emacs.d/elisp/w3m/w3m-symbol hides /usr/local/share/emacs/site-lisp/w3m/w3m-symbol
/home/monsanto/.emacs.d/elisp/w3m/w3m-form hides /usr/local/share/emacs/site-lisp/w3m/w3m-form
/home/monsanto/.emacs.d/elisp/w3m/w3m-favicon hides /usr/local/share/emacs/site-lisp/w3m/w3m-favicon
/home/monsanto/.emacs.d/elisp/w3m/w3m-proc hides /usr/local/share/emacs/site-lisp/w3m/w3m-proc
/home/monsanto/.emacs.d/elisp/w3m/w3m-filter hides /usr/local/share/emacs/site-lisp/w3m/w3m-filter
/home/monsanto/.emacs.d/elisp/w3m/w3m-perldoc hides /usr/local/share/emacs/site-lisp/w3m/w3m-perldoc
/home/monsanto/.emacs.d/elisp/w3m/w3m-weather hides /usr/local/share/emacs/site-lisp/w3m/w3m-weather
/home/monsanto/.emacs.d/elisp/w3m/w3m hides /usr/local/share/emacs/site-lisp/w3m/w3m
/home/monsanto/.emacs.d/elisp/w3m/w3m-hist hides /usr/local/share/emacs/site-lisp/w3m/w3m-hist
/home/monsanto/.emacs.d/elisp/w3m/w3m-tabmenu hides /usr/local/share/emacs/site-lisp/w3m/w3m-tabmenu
/home/monsanto/.emacs.d/elisp/w3m/w3m-util hides /usr/local/share/emacs/site-lisp/w3m/w3m-util
/home/monsanto/.emacs.d/elisp/w3m/w3m-fb hides /usr/local/share/emacs/site-lisp/w3m/w3m-fb
/home/monsanto/.emacs.d/elisp/w3m/w3m-ccl hides /usr/local/share/emacs/site-lisp/w3m/w3m-ccl
/home/monsanto/.emacs.d/elisp/w3m/w3m-rss hides /usr/local/share/emacs/site-lisp/w3m/w3m-rss
/home/monsanto/.emacs.d/elisp/w3m/w3m-bug hides /usr/local/share/emacs/site-lisp/w3m/w3m-bug
/home/monsanto/.emacs.d/elisp/w3m/mime-w3m hides /usr/local/share/emacs/site-lisp/w3m/mime-w3m
/home/monsanto/.emacs.d/elisp/w3m/w3m-mail hides /usr/local/share/emacs/site-lisp/w3m/w3m-mail
/home/monsanto/.emacs.d/elisp/w3m/w3m-ems hides /usr/local/share/emacs/site-lisp/w3m/w3m-ems
/home/monsanto/.emacs.d/elisp/w3m/w3m-namazu hides /usr/local/share/emacs/site-lisp/w3m/w3m-namazu
/home/monsanto/.emacs.d/elisp/w3m/bookmark-w3m hides /usr/local/share/emacs/site-lisp/w3m/bookmark-w3m
/home/monsanto/.emacs.d/elisp/w3m/octet hides /usr/local/share/emacs/site-lisp/w3m/octet
/home/monsanto/.emacs.d/elisp/w3m/w3m-antenna hides /usr/local/share/emacs/site-lisp/w3m/w3m-antenna
/home/monsanto/.emacs.d/elisp/w3m/w3m-session hides /usr/local/share/emacs/site-lisp/w3m/w3m-session
/usr/local/share/emacs/site-lisp/reftex/reftex-vars hides /usr/local/share/emacs/24.1.50/lisp/textmodes/reftex-vars
/usr/local/share/emacs/site-lisp/reftex/reftex-global hides /usr/local/share/emacs/24.1.50/lisp/textmodes/reftex-global
/usr/local/share/emacs/site-lisp/reftex/reftex hides /usr/local/share/emacs/24.1.50/lisp/textmodes/reftex
/usr/local/share/emacs/site-lisp/reftex/reftex-cite hides /usr/local/share/emacs/24.1.50/lisp/textmodes/reftex-cite
/usr/local/share/emacs/site-lisp/reftex/reftex-toc hides /usr/local/share/emacs/24.1.50/lisp/textmodes/reftex-toc
/usr/local/share/emacs/site-lisp/reftex/reftex-parse hides /usr/local/share/emacs/24.1.50/lisp/textmodes/reftex-parse
/usr/local/share/emacs/site-lisp/reftex/reftex-ref hides /usr/local/share/emacs/24.1.50/lisp/textmodes/reftex-ref
/usr/local/share/emacs/site-lisp/reftex/reftex-auc hides /usr/local/share/emacs/24.1.50/lisp/textmodes/reftex-auc
/usr/local/share/emacs/site-lisp/reftex/reftex-sel hides /usr/local/share/emacs/24.1.50/lisp/textmodes/reftex-sel
/usr/local/share/emacs/site-lisp/reftex/reftex-index hides /usr/local/share/emacs/24.1.50/lisp/textmodes/reftex-index
/usr/local/share/emacs/site-lisp/reftex/reftex-dcr hides /usr/local/share/emacs/24.1.50/lisp/textmodes/reftex-dcr
/home/monsanto/.emacs.d/elisp/python/python hides /usr/local/share/emacs/24.1.50/lisp/progmodes/python
/home/monsanto/.emacs.d/elisp/nxhtml/util/org-odt hides /usr/local/share/emacs/24.1.50/lisp/org/org-odt
/home/monsanto/.emacs.d/elisp/magit/.dir-locals hides /usr/local/share/emacs/24.1.50/lisp/gnus/.dir-locals

Features:
(shadow sort gnus-msg emacsbug unsafep solarized-dark-theme solarized
writegood-mode align-by-current-symbol rainbow-mode ispell
twittering-mode keyfreq bm info saveplace savehist term disp-table ehelp
electric eproject-extras ibuf-macs ibuf-ext ibuffer eproject magit-blame
magit-bisect magit-key-mode magit esh-var esh-io esh-cmd esh-ext
esh-proc esh-arg esh-groups eshell esh-module esh-mode esh-util iswitchb
diff-mode log-edit pcvs-util add-log vc ediff-merg ediff-diff ediff-wind
ediff-help ediff-util ediff-mult ediff-init ediff vc-dispatcher pomodoro
dired-x diary-lib diary-loaddefs deft popwin dedicated w3m-wget wget
wget-sysdep w3m-lnum w3m-search w3m doc-view jka-compr image-mode
w3m-hist w3m-fb bookmark-w3m w3m-ems w3m-ccl ccl w3m-favicon w3m-image
w3m-proc w3m-util browse-url bbdb timezone bbdb-autoloads gnus-gravatar
mail-extr gnus-art mm-uu mml2015 epg-config mm-view mml-smime smime dig
gravatar url-cache url url-proxy url-privacy url-history url-cookie
url-domsuf nnir gnus-sum nntp gnus-group gnus-undo gnus-start gnus-spec
gnus-win nnimap nnmail gnus-int gnus-range mail-source parse-time tls
utf7 netrc nnoo gnus gnus-ems nnheader mailcap sendmail message rfc822
mml mml-sec mailabbrev mail-utils gmm-utils mailheader markdown-mode
bib-cite bibtex preview prv-emacs tex-buf latex-mode-expansions
auto-complete-auctex latex tex-style tex dbus tex-site auto-loads hie
haskell-navigate-imports haskell-sort-imports haskell-align-imports
haskell-indent haskell-package haskell-move-nested haskell-process
haskell-session haskell-string haskell-interactive-mode haskell-cabal
haskell-mode auto-complete-clang proof-site proof-autoloads pg-vars
ropemacs pymacs python-el-fgallina-expansions python rdebug rsense
ruby-mode-expansions ruby-mode sh-script smie executable gud
flymake-files flymakemsg nxhtml-autostart nxhtml-autoload majmodpri
vc-git nxhtml-menu udev-rinari udev-ecb flymake css-color
html-mode-expansions nxhtml-mode derived html-quote tidy-xhtml
html-imenu loadhist popcmp xhtml-help ourcomments-util mlinks url-expand
url-util url-methods url-parse url-vars mumamo html-toc xml html-pagetoc
appmenu-fold appmenu fold-dwim tex-mode compile org ob-emacs-lisp
ob-tangle ob-ref ob-lob ob-table org-footnote org-src ob-comint ob-keys
ob ob-eval org-pcomplete org-list org-faces org-compat org-entities
org-macs noutline outline cal-menu calendar cal-loaddefs inlimg
html-write hideshow html-site gimpedit foldit dired web-vcs rx mm-decode
mm-bodies mm-encode mail-parse rfc2231 rfc2047 rfc2045 ietf-drums
cus-edit cus-start cus-load web-autoload nxhtml-base
nxml-mode-expansions rng-nxml rng-valid rng-loc rng-uri rng-parse
nxml-parse rng-match rng-dt rng-util rng-pttrn nxml-ns nxml-mode
nxml-outln nxml-rap nxml-util nxml-glyph nxml-enc xmltok
css-mode-expansions css-mode js json imenu thingatpt cc-mode cc-fonts
cc-guess cc-menus cc-cmds cc-styles cc-align cc-engine cc-vars cc-defs
autopair find-func paredit eldoc paren mic-paren table recentf
tree-widget wid-edit smex ido-ubiquitous ido server yasnippet help-mode
view easymenu auto-complete easy-mmode popup warnings browse-kill-ring
tramp-cache tramp tramp-compat auth-source eieio byte-opt bytecomp
byte-compile cconv gnus-util mm-util mail-prsvr password-cache shell
pcomplete comint ansi-color ring format-spec tramp-loaddefs undo-tree
diff edmacro kmacro cua-base expand-region expand-region-custom
expand-region-core advice advice-preload cua-rect rect ace-jump-mode
fastnav help-fns cl-macs gv cl cl-lib macroexp time-date tooltip
ediff-hook vc-hooks lisp-float-type mwheel x-win x-dnd tool-bar dnd
fontset image regexp-opt fringe tabulated-list newcomment lisp-mode
register page menu-bar rfn-eshadow timer select scroll-bar mouse
jit-lock font-lock syntax facemenu font-core frame cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese case-table epa-hook jka-cmpr-hook help simple abbrev
minibuffer loaddefs button faces cus-face files text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote make-network-process dynamic-setting
system-font-setting font-render-setting move-toolbar gtk x-toolkit x
multi-tty emacs)




Acknowledgement sent to Christopher Monsanto <chris@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#11840; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.